import Numeric.SVM.LibLinear
import Numeric.SVM.LibLinear.Types
import Numeric.SVM.LibLinear.PackFeatures
import Test.QuickCheck

main :: IO ()
main = quickCheck roundTripSamples

instance Arbitrary FeatureIdx where
    arbitrary = FeatureIdx <$> choose (1,500)

roundTripSamples :: [(Label, [(FeatureIdx, Double)])] -> Property
roundTripSamples samples =
    let samples' = filter (not . null . snd) samples
    in property $ toList (samplesFromList 500 samples) == samples'
